%global fontname drehatlas-widelands
%global fontconf 61-%{fontname}.conf
%global metapkgver 2010-02-06

# This is a highly-stylized titling font, so picking an ideal substitute with
# fontconfig is pointless

Name:		%{fontname}-fonts
Version:	1.0.3.1
Release:	7%{?dist}
Summary:	A Latin typeface inspired by feudal calligraphy
Group:		User Interface/X
License:	OFL
URL:		http://www.drehatlas.de/
Source0:	http://downloads.sourceforge.net/project/drehatlas-fonts/Font-Packages/COMPLETE/drehatlas-fonts-%{metapkgver}.zip
Source1:	%{fontconf}
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch:	noarch
BuildRequires:	fontpackages-devel fontforge
Requires:	fontpackages-filesystem

%description
This font was created by Peter Schwanemann as a logo for the Widelands project,
but has since been enhanced.  The font is decorative and not really usable for
real texts, but it looks nice for logos, banners or similar stuff.  All normal
latin glyphs and arabic numbers are included and usable.

%prep
%setup -q -c %{name}-%{version}
cd drehatlas-fonts-%{metapkgver}/Widelands-%{version}
# Wrap the license file at 80 chars
fold -s LICENSE > LICENSE.new
touch -r LICENSE LICENSE.new
mv LICENSE.new LICENSE

%build

%install
rm -fr %{buildroot}

cd drehatlas-fonts-%{metapkgver}/Widelands-%{version}

install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p *.otf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
	%{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE1} \
	%{buildroot}%{_fontconfig_templatedir}/%{fontconf}

ln -s %{_fontconfig_templatedir}/%{fontconf} \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf}

%clean
rm -fr %{buildroot}

%_font_pkg -f %{fontconf} *.otf
%doc drehatlas-fonts-%{metapkgver}/Widelands-%{version}/LICENSE drehatlas-fonts-%{metapkgver}/Widelands-%{version}/FONTLOG

%changelog
* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Aug 20 2010 Adam Tkac <atkac redhat com> 1.0.3.1-5
- rebuild to ensure F14 has bigger NVR than F13

* Mon Mar 08 2010 Dave Ludlow <dave@adsllc.com> 1.0.3.1-3
- Update for upstream release

* Sat Oct 17 2009 Dave Ludlow <dave@adsllc.com> 1.0.2.2-6
- Remove "Preferred Family" data via a fontforge script instead of ugly hack

* Sat Oct 17 2009 Dave Ludlow <dave@adsllc.com> 1.0.2.2-5
- Prevent font from being called 'Decorative' instead of 'Widelands'

* Fri Oct 16 2009 Dave Ludlow <dave@adsllc.com> 1.0.2.2-4
- Rename from olfb-widelands to drehatlas-widelands
- Update conversion Makefile to be more general

* Wed Oct 14 2009 Dave Ludlow <dave@adsllc.com> 1.0.2.2-3
- Update for Fedora packaging guidelines

* Wed Oct 14 2009 Dave Ludlow <dave@adsllc.com> 1.0.2.2-1
- Initial packaging
